extends Node

@onready var confirm: ColorRect = $Confirm
@onready var confirm_info: Label = $Confirm/Info
@onready var mask: ColorRect = $Mask

func _ready():
	confirm.hide()
	mask.hide()

func on_button_pressed(task):
	mask.show()
	
	match task:
		"hide_confirm":
			confirm.hide()
		"close":
			queue_free()
	
	mask.hide()
